import request from '@/utils/request'

// 查询职位列表
export function listDeptJob(query) {
  return request({
    url: '/system/deptJob/list',
    method: 'get',
    params: query
  })
}

// 查询职位详细
export function getDeptJob(jobId) {
  return request({
    url: '/system/deptJob/' + jobId,
    method: 'get'
  })
}

// 新增职位
export function addDeptJob(data) {
  return request({
    url: '/system/deptJob',
    method: 'post',
    data: data
  })
}

// 修改职位
export function updateDeptJob(data) {
  return request({
    url: '/system/deptJob',
    method: 'put',
    data: data
  })
}

// 删除职位
export function delDeptJob(jobId) {
  return request({
    url: '/system/deptJob/' + jobId,
    method: 'delete'
  })
}

// 导出职位
export function exportDeptJob(query) {
  return request({
    url: '/system/deptJob/export',
    method: 'get',
    params: query
  })
}